Bug 224855 - [update] update multimedia/tvheadend to 4.2.5
Summary: [update] update multimedia/tvheadend to 4.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-03 06:46 UTC by Talal Al Dik
Modified: 2018-01-09 16:40 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (decke)


Attachments
update port multimedia/tvheadend from 4.2.3 to 4.3 (3.47 KB, text/plain)
2018-01-03 06:46 UTC, Talal Al Dik
no flags Details
update port multimedia/tvheadend from 4.2.3 to 4.2.5 (4.49 KB, patch)
2018-01-03 21:33 UTC, Talal Al Dik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Talal Al Dik 2018-01-03 06:46:16 UTC
Created attachment 189357 [details]
update port multimedia/tvheadend from 4.2.3 to 4.3
Comment 1 Bernhard Froehlich freebsd_committer 2018-01-03 07:51:49 UTC
Thanks for your efforts but 4.3 is a development version not recommended for any distribution.

https://tvheadend.org/projects/tvheadend/wiki/ReleaseProcess

4.2.5 would be a better choice but they have made some changes which fail to build on FreeBSD.
Comment 2 Talal Al Dik 2018-01-03 21:33:36 UTC
Created attachment 189377 [details]
update port multimedia/tvheadend from 4.2.3 to 4.2.5

I compiled tvheadend 4.2.5
needed to add "#include <signal.h>"

-T
Comment 3 Bernhard Froehlich freebsd_committer 2018-01-06 19:09:30 UTC
They have added some functionality which uses MSG_MORE which is a Linuxism in 4.2.4 but they seem to have fixed/improved that in 4.2.5.

I have prepared a port update to 4.2.5 now and only had to remove the patch for src/tcp.c. On which FreeBSD version/arch did you build that you need to add the signal.h include?
Comment 4 Bernhard Froehlich freebsd_committer 2018-01-06 19:18:43 UTC
For the full history GitHub user "macrule" seems to have pushed a few of our patches (or similar ones) upstream and added a few more (fixing some kqueue issues and especially a fix for the MSG_MORE issue). This commits were merged before 4.2.5.

https://github.com/tvheadend/tvheadend/commits/c1c22934309717df6699743c8c06f0ce263d6326
Comment 5 commit-hook freebsd_committer 2018-01-06 19:33:13 UTC
A commit references this bug:

Author: decke
Date: Sat Jan  6 19:32:43 UTC 2018
New revision: 458287
URL: https://svnweb.freebsd.org/changeset/ports/458287

Log:
  Update to 4.2.5

  PR:		224855
  Submitted by:	Talal Al Dik <tad@vif.com>

Changes:
  head/multimedia/tvheadend/Makefile
  head/multimedia/tvheadend/distinfo
  head/multimedia/tvheadend/files/patch-src_byteswap.h
  head/multimedia/tvheadend/files/patch-src_tcp.c
  head/multimedia/tvheadend/files/patch-src_tcp.h
Comment 6 Talal Al Dik 2018-01-09 16:40:10 UTC
(In reply to Bernhard Froehlich from comment #3)


- My mistake, 4.2.5 does not need any additional include <signal.h>
I had it confused with the patch for 4.3 which needs <signal.h> in src/spawn.c
As you noted, 4.3 is in development so I'll keep watching it on github.